Package org.apache.sysds.runtime.iogen

# Class GenerateReader

java.lang.Object
org.apache.sysds.runtime.iogen.GenerateReader

Direct Known Subclasses:
  `GenerateReader.GenerateReaderFrame`, `GenerateReader.GenerateReaderMatrix`

public abstract class GenerateReader extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GenerateReader.GenerateReaderFrame`
`static class`
`GenerateReader.GenerateReaderMatrix`

## Constructor Summary

Constructors
Constructor
Description
`GenerateReader(SampleProperties sampleProperties)`

## Method Summary

Modifier and Type
Method
Description
`CustomProperties`
`getProperties()`
`String`
`getRandomClassName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateReader

public GenerateReader(SampleProperties sampleProperties) throws Exception

Throws:
  `Exception`

## Method Details

### getRandomClassName

public String getRandomClassName()

### getProperties

public CustomProperties getProperties()